PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List sites GETCreate a site POSTGet a site GETUpdate a site PATCHDelete a site DELETEPublish a site POSTUnpublish a site POSTList pages GETCreate a page POSTGet a page GETUpdate a page PATCHDelete a page DELETEList collections GETCreate a collection POSTGet a collection GETUpdate a collection PATCHDelete a collection DELETEList collection items GETCreate a collection item POSTGet a collection item GETUpdate a collection item PATCHDelete a collection item DELETEPublish collection items POSTUnpublish collection items POSTArchive collection items POSTUpsert collection items POST
Sites

Unpublish collection items

Takes items off the live site; they return to DRAFT. Needs site publish permission.

POST
/sites/{siteId}/collections/{collectionId}/unpublish

Takes items off the live site; they return to DRAFT. Needs site publish permission.

Authorization

x-api-key<token>

In: header

Path Parameters

siteId*string
collectionId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/sites/string/collections/string/unpublish" \  -H "Content-Type: application/json" \  -d '{    "itemIds": [      "string"    ]  }'
{  "data": {    "unpublished": 0  }}

Publish collection items POST

Puts items live now through the currently published template. The site must have been published once. Needs site publish permission.

Archive collection items POST

Hides items and takes them off the live site. Archiving live items needs site publish permission.

itemIds*array<string>
Items1 <= items <= 500